#!/usr/bin/perl -w

# This is a small script that plays a chosen
# wav file, whenever you get slaped
# Just edit the two parameters in the configuration
# section to what you want, and it's "a go".
#
# Original Content by:
# Morten Schmidt (www.smet.dk)
# Corrected by Laurent Savaete (lsavaete@ec-lyon.fr)
#
# Modified for slaps by Chris Fairman
# The configuration section starts here
#

$play_cmd = "play";
$play_file = "/home/sob/.xchat/hey.wav";

#
# The configuration section ends here
#

IRC::register("SlapSound", "1.0", "", "");
IRC::print("\0035:: Loading SlapSound script 1.0::\003 \n");
IRC::print("\0032USAGE: SLAPSOUND [ON/OFF]\003\n");
IRC::print("\0032   OR: SS [ON/OFF]\n");
IRC::print("\0032Turns slap notification on or off\003\n");
IRC::print("\0035:: SlapSound is turned ON ::\003 \n");
IRC::add_message_handler("PRIVMSG", "privmsg_handler");
IRC::add_command_handler("slapsound", "slapsound_command_handler");
IRC::add_command_handler("ss", "ss_command_handler");

$sound_on = 1;

sub privmsg_handler 
{
  if ($sound_on)
  {
    my $mynick = IRC::get_info(1);
    $mynick =~ tr/A-Z/a-z/;
    
    $mynick = "slaps " . $mynick;

    my $line = shift(@_);
    $line =~ tr/A-Z/a-z/;

    # only look for nick after PRIVMSG in the line
    my $place = index($line, "privmsg");
    if (index($line, $mynick, $place) > $place)
    {
      system("$play_cmd $play_file &");
    }
  }
}

sub slapsound_command_handler
{
  my $state = shift;
  if (uc $state eq 'ON' )
  {
        IRC::print "\0034:: SlapSound is turned ON ::\003 \n";
        $sound_on = 1;
        return 1;
  }
  else
  {
          if (uc $state eq 'OFF')
	  {
                IRC::print "\0034:: SlapSound is turned OFF ::\003 \n";
                $sound_on = 0;
                return 1;
          }
  }
  IRC::print "USAGE: SLAPSOUND [ON/OFF]\n";
  IRC::print "   OR: SS [ON/OFF]\n Turns slapname notification on or off\n";
  return 1;
}

sub ss_command_handler
{
  my $state = shift;
  if (uc $state eq 'ON' )
  {
        IRC::print "\0034:: SlapSound is turned ON ::\003 \n";
        $sound_on = 1;
        return 1;
  }
  else
  {
          if (uc $state eq 'OFF')
	  {
                IRC::print "\0034:: SlapSound is turned OFF ::\003 \n";
                $sound_on = 0;
                return 1;
          }
  }
  IRC::print "USAGE: SLAPSOUND [ON/OFF]\n";
  IRC::print "   OR: SS [ON/OFF]\n Turns slapname notification on or off\n";
  return 1;
}
